Nife version Beta
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 

776 lines
24 KiB

  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. ##################################################
  13. # Makefile.am for nife project : upper directory #
  14. ##################################################
  15. VPATH = @srcdir@
  16. am__is_gnu_make = { \
  17. if test -z '$(MAKELEVEL)'; then \
  18. false; \
  19. elif test -n '$(MAKE_HOST)'; then \
  20. true; \
  21. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  22. true; \
  23. else \
  24. false; \
  25. fi; \
  26. }
  27. am__make_running_with_option = \
  28. case $${target_option-} in \
  29. ?) ;; \
  30. *) echo "am__make_running_with_option: internal error: invalid" \
  31. "target option '$${target_option-}' specified" >&2; \
  32. exit 1;; \
  33. esac; \
  34. has_opt=no; \
  35. sane_makeflags=$$MAKEFLAGS; \
  36. if $(am__is_gnu_make); then \
  37. sane_makeflags=$$MFLAGS; \
  38. else \
  39. case $$MAKEFLAGS in \
  40. *\\[\ \ ]*) \
  41. bs=\\; \
  42. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  43. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  44. esac; \
  45. fi; \
  46. skip_next=no; \
  47. strip_trailopt () \
  48. { \
  49. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  50. }; \
  51. for flg in $$sane_makeflags; do \
  52. test $$skip_next = yes && { skip_next=no; continue; }; \
  53. case $$flg in \
  54. *=*|--*) continue;; \
  55. -*I) strip_trailopt 'I'; skip_next=yes;; \
  56. -*I?*) strip_trailopt 'I';; \
  57. -*O) strip_trailopt 'O'; skip_next=yes;; \
  58. -*O?*) strip_trailopt 'O';; \
  59. -*l) strip_trailopt 'l'; skip_next=yes;; \
  60. -*l?*) strip_trailopt 'l';; \
  61. -[dEDm]) skip_next=yes;; \
  62. -[JT]) skip_next=yes;; \
  63. esac; \
  64. case $$flg in \
  65. *$$target_option*) has_opt=yes; break;; \
  66. esac; \
  67. done; \
  68. test $$has_opt = yes
  69. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  70. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  71. pkgdatadir = $(datadir)/@PACKAGE@
  72. pkgincludedir = $(includedir)/@PACKAGE@
  73. pkglibdir = $(libdir)/@PACKAGE@
  74. pkglibexecdir = $(libexecdir)/@PACKAGE@
  75. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  76. install_sh_DATA = $(install_sh) -c -m 644
  77. install_sh_PROGRAM = $(install_sh) -c
  78. install_sh_SCRIPT = $(install_sh) -c
  79. INSTALL_HEADER = $(INSTALL_DATA)
  80. transform = $(program_transform_name)
  81. NORMAL_INSTALL = :
  82. PRE_INSTALL = :
  83. POST_INSTALL = :
  84. NORMAL_UNINSTALL = :
  85. PRE_UNINSTALL = :
  86. POST_UNINSTALL = :
  87. subdir = .
  88. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  89. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  90. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  91. $(ACLOCAL_M4)
  92. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  93. $(am__configure_deps) $(am__DIST_COMMON)
  94. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  95. configure.lineno config.status.lineno
  96. mkinstalldirs = $(install_sh) -d
  97. CONFIG_HEADER = config.h
  98. CONFIG_CLEAN_FILES =
  99. CONFIG_CLEAN_VPATH_FILES =
  100. AM_V_P = $(am__v_P_@AM_V@)
  101. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  102. am__v_P_0 = false
  103. am__v_P_1 = :
  104. AM_V_GEN = $(am__v_GEN_@AM_V@)
  105. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  106. am__v_GEN_0 = @echo " GEN " $@;
  107. am__v_GEN_1 =
  108. AM_V_at = $(am__v_at_@AM_V@)
  109. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  110. am__v_at_0 = @
  111. am__v_at_1 =
  112. SOURCES =
  113. DIST_SOURCES =
  114. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  115. ctags-recursive dvi-recursive html-recursive info-recursive \
  116. install-data-recursive install-dvi-recursive \
  117. install-exec-recursive install-html-recursive \
  118. install-info-recursive install-pdf-recursive \
  119. install-ps-recursive install-recursive installcheck-recursive \
  120. installdirs-recursive pdf-recursive ps-recursive \
  121. tags-recursive uninstall-recursive
  122. am__can_run_installinfo = \
  123. case $$AM_UPDATE_INFO_DIR in \
  124. n|no|NO) false;; \
  125. *) (install-info --version) >/dev/null 2>&1;; \
  126. esac
  127. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  128. distclean-recursive maintainer-clean-recursive
  129. am__recursive_targets = \
  130. $(RECURSIVE_TARGETS) \
  131. $(RECURSIVE_CLEAN_TARGETS) \
  132. $(am__extra_recursive_targets)
  133. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  134. cscope distdir distdir-am dist dist-all distcheck
  135. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  136. $(LISP)config.h.in
  137. # Read a list of newline-separated strings from the standard input,
  138. # and print each of them once, without duplicates. Input order is
  139. # *not* preserved.
  140. am__uniquify_input = $(AWK) '\
  141. BEGIN { nonempty = 0; } \
  142. { items[$$0] = 1; nonempty = 1; } \
  143. END { if (nonempty) { for (i in items) print i; }; } \
  144. '
  145. # Make sure the list of sources is unique. This is necessary because,
  146. # e.g., the same source file might be shared among _SOURCES variables
  147. # for different programs/libraries.
  148. am__define_uniq_tagged_files = \
  149. list='$(am__tagged_files)'; \
  150. unique=`for i in $$list; do \
  151. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  152. done | $(am__uniquify_input)`
  153. ETAGS = etags
  154. CTAGS = ctags
  155. CSCOPE = cscope
  156. DIST_SUBDIRS = $(SUBDIRS)
  157. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  158. COPYING ChangeLog INSTALL NEWS README compile depcomp \
  159. install-sh missing
  160. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  161. distdir = $(PACKAGE)-$(VERSION)
  162. top_distdir = $(distdir)
  163. am__remove_distdir = \
  164. if test -d "$(distdir)"; then \
  165. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  166. && rm -rf "$(distdir)" \
  167. || { sleep 5 && rm -rf "$(distdir)"; }; \
  168. else :; fi
  169. am__post_remove_distdir = $(am__remove_distdir)
  170. am__relativize = \
  171. dir0=`pwd`; \
  172. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  173. sed_rest='s,^[^/]*/*,,'; \
  174. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  175. sed_butlast='s,/*[^/]*$$,,'; \
  176. while test -n "$$dir1"; do \
  177. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  178. if test "$$first" != "."; then \
  179. if test "$$first" = ".."; then \
  180. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  181. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  182. else \
  183. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  184. if test "$$first2" = "$$first"; then \
  185. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  186. else \
  187. dir2="../$$dir2"; \
  188. fi; \
  189. dir0="$$dir0"/"$$first"; \
  190. fi; \
  191. fi; \
  192. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  193. done; \
  194. reldir="$$dir2"
  195. DIST_ARCHIVES = $(distdir).tar.gz
  196. GZIP_ENV = --best
  197. DIST_TARGETS = dist-gzip
  198. distuninstallcheck_listfiles = find . -type f -print
  199. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  200. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  201. distcleancheck_listfiles = find . -type f -print
  202. ACLOCAL = @ACLOCAL@
  203. AMTAR = @AMTAR@
  204. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  205. AUTOCONF = @AUTOCONF@
  206. AUTOHEADER = @AUTOHEADER@
  207. AUTOMAKE = @AUTOMAKE@
  208. AWK = @AWK@
  209. CC = @CC@
  210. CCDEPMODE = @CCDEPMODE@
  211. CFLAGS = @CFLAGS@
  212. CPP = @CPP@
  213. CPPFLAGS = @CPPFLAGS@
  214. CYGPATH_W = @CYGPATH_W@
  215. DEFS = @DEFS@
  216. DEPDIR = @DEPDIR@
  217. ECHO_C = @ECHO_C@
  218. ECHO_N = @ECHO_N@
  219. ECHO_T = @ECHO_T@
  220. EGREP = @EGREP@
  221. EXEEXT = @EXEEXT@
  222. GREP = @GREP@
  223. INSTALL = @INSTALL@
  224. INSTALL_DATA = @INSTALL_DATA@
  225. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  226. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  227. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  228. LDFLAGS = @LDFLAGS@
  229. LIBOBJS = @LIBOBJS@
  230. LIBS = @LIBS@
  231. LTLIBOBJS = @LTLIBOBJS@
  232. MAKEINFO = @MAKEINFO@
  233. MKDIR_P = @MKDIR_P@
  234. OBJEXT = @OBJEXT@
  235. PACKAGE = @PACKAGE@
  236. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  237. PACKAGE_NAME = @PACKAGE_NAME@
  238. PACKAGE_STRING = @PACKAGE_STRING@
  239. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  240. PACKAGE_URL = @PACKAGE_URL@
  241. PACKAGE_VERSION = @PACKAGE_VERSION@
  242. PATH_SEPARATOR = @PATH_SEPARATOR@
  243. POW_LIB = @POW_LIB@
  244. SET_MAKE = @SET_MAKE@
  245. SHELL = @SHELL@
  246. STRIP = @STRIP@
  247. VERSION = @VERSION@
  248. abs_builddir = @abs_builddir@
  249. abs_srcdir = @abs_srcdir@
  250. abs_top_builddir = @abs_top_builddir@
  251. abs_top_srcdir = @abs_top_srcdir@
  252. ac_ct_CC = @ac_ct_CC@
  253. am__include = @am__include@
  254. am__leading_dot = @am__leading_dot@
  255. am__quote = @am__quote@
  256. am__tar = @am__tar@
  257. am__untar = @am__untar@
  258. bindir = @bindir@
  259. build_alias = @build_alias@
  260. builddir = @builddir@
  261. datadir = @datadir@
  262. datarootdir = @datarootdir@
  263. docdir = @docdir@
  264. dvidir = @dvidir@
  265. exec_prefix = @exec_prefix@
  266. host_alias = @host_alias@
  267. htmldir = @htmldir@
  268. includedir = @includedir@
  269. infodir = @infodir@
  270. install_sh = @install_sh@
  271. libdir = @libdir@
  272. libexecdir = @libexecdir@
  273. localedir = @localedir@
  274. localstatedir = @localstatedir@
  275. mandir = @mandir@
  276. mkdir_p = @mkdir_p@
  277. oldincludedir = @oldincludedir@
  278. pdfdir = @pdfdir@
  279. prefix = @prefix@
  280. program_transform_name = @program_transform_name@
  281. psdir = @psdir@
  282. runstatedir = @runstatedir@
  283. sbindir = @sbindir@
  284. sharedstatedir = @sharedstatedir@
  285. srcdir = @srcdir@
  286. sysconfdir = @sysconfdir@
  287. target_alias = @target_alias@
  288. top_build_prefix = @top_build_prefix@
  289. top_builddir = @top_builddir@
  290. top_srcdir = @top_srcdir@
  291. EXTRA_DIST = src/nife.hlp src/test.sh src/benchm.nif src/ex src/i2cbusses.c src/i2cbusses.h
  292. SUBDIRS = src
  293. all: config.h
  294. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  295. .SUFFIXES:
  296. am--refresh: Makefile
  297. @:
  298. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  299. @for dep in $?; do \
  300. case '$(am__configure_deps)' in \
  301. *$$dep*) \
  302. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  303. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  304. && exit 0; \
  305. exit 1;; \
  306. esac; \
  307. done; \
  308. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  309. $(am__cd) $(top_srcdir) && \
  310. $(AUTOMAKE) --gnu Makefile
  311. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  312. @case '$?' in \
  313. *config.status*) \
  314. echo ' $(SHELL) ./config.status'; \
  315. $(SHELL) ./config.status;; \
  316. *) \
  317. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  318. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  319. esac;
  320. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  321. $(SHELL) ./config.status --recheck
  322. $(top_srcdir)/configure: $(am__configure_deps)
  323. $(am__cd) $(srcdir) && $(AUTOCONF)
  324. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  325. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  326. $(am__aclocal_m4_deps):
  327. config.h: stamp-h1
  328. @test -f $@ || rm -f stamp-h1
  329. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  330. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  331. @rm -f stamp-h1
  332. cd $(top_builddir) && $(SHELL) ./config.status config.h
  333. $(srcdir)/config.h.in: $(am__configure_deps)
  334. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  335. rm -f stamp-h1
  336. touch $@
  337. distclean-hdr:
  338. -rm -f config.h stamp-h1
  339. # This directory's subdirectories are mostly independent; you can cd
  340. # into them and run 'make' without going through this Makefile.
  341. # To change the values of 'make' variables: instead of editing Makefiles,
  342. # (1) if the variable is set in 'config.status', edit 'config.status'
  343. # (which will cause the Makefiles to be regenerated when you run 'make');
  344. # (2) otherwise, pass the desired values on the 'make' command line.
  345. $(am__recursive_targets):
  346. @fail=; \
  347. if $(am__make_keepgoing); then \
  348. failcom='fail=yes'; \
  349. else \
  350. failcom='exit 1'; \
  351. fi; \
  352. dot_seen=no; \
  353. target=`echo $@ | sed s/-recursive//`; \
  354. case "$@" in \
  355. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  356. *) list='$(SUBDIRS)' ;; \
  357. esac; \
  358. for subdir in $$list; do \
  359. echo "Making $$target in $$subdir"; \
  360. if test "$$subdir" = "."; then \
  361. dot_seen=yes; \
  362. local_target="$$target-am"; \
  363. else \
  364. local_target="$$target"; \
  365. fi; \
  366. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  367. || eval $$failcom; \
  368. done; \
  369. if test "$$dot_seen" = "no"; then \
  370. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  371. fi; test -z "$$fail"
  372. ID: $(am__tagged_files)
  373. $(am__define_uniq_tagged_files); mkid -fID $$unique
  374. tags: tags-recursive
  375. TAGS: tags
  376. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  377. set x; \
  378. here=`pwd`; \
  379. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  380. include_option=--etags-include; \
  381. empty_fix=.; \
  382. else \
  383. include_option=--include; \
  384. empty_fix=; \
  385. fi; \
  386. list='$(SUBDIRS)'; for subdir in $$list; do \
  387. if test "$$subdir" = .; then :; else \
  388. test ! -f $$subdir/TAGS || \
  389. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  390. fi; \
  391. done; \
  392. $(am__define_uniq_tagged_files); \
  393. shift; \
  394. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  395. test -n "$$unique" || unique=$$empty_fix; \
  396. if test $$# -gt 0; then \
  397. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  398. "$$@" $$unique; \
  399. else \
  400. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  401. $$unique; \
  402. fi; \
  403. fi
  404. ctags: ctags-recursive
  405. CTAGS: ctags
  406. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  407. $(am__define_uniq_tagged_files); \
  408. test -z "$(CTAGS_ARGS)$$unique" \
  409. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  410. $$unique
  411. GTAGS:
  412. here=`$(am__cd) $(top_builddir) && pwd` \
  413. && $(am__cd) $(top_srcdir) \
  414. && gtags -i $(GTAGS_ARGS) "$$here"
  415. cscope: cscope.files
  416. test ! -s cscope.files \
  417. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  418. clean-cscope:
  419. -rm -f cscope.files
  420. cscope.files: clean-cscope cscopelist
  421. cscopelist: cscopelist-recursive
  422. cscopelist-am: $(am__tagged_files)
  423. list='$(am__tagged_files)'; \
  424. case "$(srcdir)" in \
  425. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  426. *) sdir=$(subdir)/$(srcdir) ;; \
  427. esac; \
  428. for i in $$list; do \
  429. if test -f "$$i"; then \
  430. echo "$(subdir)/$$i"; \
  431. else \
  432. echo "$$sdir/$$i"; \
  433. fi; \
  434. done >> $(top_builddir)/cscope.files
  435. distclean-tags:
  436. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  437. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  438. distdir: $(BUILT_SOURCES)
  439. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  440. distdir-am: $(DISTFILES)
  441. $(am__remove_distdir)
  442. test -d "$(distdir)" || mkdir "$(distdir)"
  443. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  444. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  445. list='$(DISTFILES)'; \
  446. dist_files=`for file in $$list; do echo $$file; done | \
  447. sed -e "s|^$$srcdirstrip/||;t" \
  448. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  449. case $$dist_files in \
  450. */*) $(MKDIR_P) `echo "$$dist_files" | \
  451. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  452. sort -u` ;; \
  453. esac; \
  454. for file in $$dist_files; do \
  455. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  456. if test -d $$d/$$file; then \
  457. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  458. if test -d "$(distdir)/$$file"; then \
  459. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  460. fi; \
  461. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  462. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  463. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  464. fi; \
  465. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  466. else \
  467. test -f "$(distdir)/$$file" \
  468. || cp -p $$d/$$file "$(distdir)/$$file" \
  469. || exit 1; \
  470. fi; \
  471. done
  472. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  473. if test "$$subdir" = .; then :; else \
  474. $(am__make_dryrun) \
  475. || test -d "$(distdir)/$$subdir" \
  476. || $(MKDIR_P) "$(distdir)/$$subdir" \
  477. || exit 1; \
  478. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  479. $(am__relativize); \
  480. new_distdir=$$reldir; \
  481. dir1=$$subdir; dir2="$(top_distdir)"; \
  482. $(am__relativize); \
  483. new_top_distdir=$$reldir; \
  484. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  485. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  486. ($(am__cd) $$subdir && \
  487. $(MAKE) $(AM_MAKEFLAGS) \
  488. top_distdir="$$new_top_distdir" \
  489. distdir="$$new_distdir" \
  490. am__remove_distdir=: \
  491. am__skip_length_check=: \
  492. am__skip_mode_fix=: \
  493. distdir) \
  494. || exit 1; \
  495. fi; \
  496. done
  497. -test -n "$(am__skip_mode_fix)" \
  498. || find "$(distdir)" -type d ! -perm -755 \
  499. -exec chmod u+rwx,go+rx {} \; -o \
  500. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  501. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  502. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  503. || chmod -R a+r "$(distdir)"
  504. dist-gzip: distdir
  505. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  506. $(am__post_remove_distdir)
  507. dist-bzip2: distdir
  508. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  509. $(am__post_remove_distdir)
  510. dist-lzip: distdir
  511. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  512. $(am__post_remove_distdir)
  513. dist-xz: distdir
  514. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  515. $(am__post_remove_distdir)
  516. dist-tarZ: distdir
  517. @echo WARNING: "Support for distribution archives compressed with" \
  518. "legacy program 'compress' is deprecated." >&2
  519. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  520. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  521. $(am__post_remove_distdir)
  522. dist-shar: distdir
  523. @echo WARNING: "Support for shar distribution archives is" \
  524. "deprecated." >&2
  525. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  526. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  527. $(am__post_remove_distdir)
  528. dist-zip: distdir
  529. -rm -f $(distdir).zip
  530. zip -rq $(distdir).zip $(distdir)
  531. $(am__post_remove_distdir)
  532. dist dist-all:
  533. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  534. $(am__post_remove_distdir)
  535. # This target untars the dist file and tries a VPATH configuration. Then
  536. # it guarantees that the distribution is self-contained by making another
  537. # tarfile.
  538. distcheck: dist
  539. case '$(DIST_ARCHIVES)' in \
  540. *.tar.gz*) \
  541. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  542. *.tar.bz2*) \
  543. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  544. *.tar.lz*) \
  545. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  546. *.tar.xz*) \
  547. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  548. *.tar.Z*) \
  549. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  550. *.shar.gz*) \
  551. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  552. *.zip*) \
  553. unzip $(distdir).zip ;;\
  554. esac
  555. chmod -R a-w $(distdir)
  556. chmod u+w $(distdir)
  557. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  558. chmod a-w $(distdir)
  559. test -d $(distdir)/_build || exit 0; \
  560. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  561. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  562. && am__cwd=`pwd` \
  563. && $(am__cd) $(distdir)/_build/sub \
  564. && ../../configure \
  565. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  566. $(DISTCHECK_CONFIGURE_FLAGS) \
  567. --srcdir=../.. --prefix="$$dc_install_base" \
  568. && $(MAKE) $(AM_MAKEFLAGS) \
  569. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  570. && $(MAKE) $(AM_MAKEFLAGS) check \
  571. && $(MAKE) $(AM_MAKEFLAGS) install \
  572. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  573. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  574. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  575. distuninstallcheck \
  576. && chmod -R a-w "$$dc_install_base" \
  577. && ({ \
  578. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  579. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  580. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  581. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  582. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  583. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  584. && rm -rf "$$dc_destdir" \
  585. && $(MAKE) $(AM_MAKEFLAGS) dist \
  586. && rm -rf $(DIST_ARCHIVES) \
  587. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  588. && cd "$$am__cwd" \
  589. || exit 1
  590. $(am__post_remove_distdir)
  591. @(echo "$(distdir) archives ready for distribution: "; \
  592. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  593. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  594. distuninstallcheck:
  595. @test -n '$(distuninstallcheck_dir)' || { \
  596. echo 'ERROR: trying to run $@ with an empty' \
  597. '$$(distuninstallcheck_dir)' >&2; \
  598. exit 1; \
  599. }; \
  600. $(am__cd) '$(distuninstallcheck_dir)' || { \
  601. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  602. exit 1; \
  603. }; \
  604. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  605. || { echo "ERROR: files left after uninstall:" ; \
  606. if test -n "$(DESTDIR)"; then \
  607. echo " (check DESTDIR support)"; \
  608. fi ; \
  609. $(distuninstallcheck_listfiles) ; \
  610. exit 1; } >&2
  611. distcleancheck: distclean
  612. @if test '$(srcdir)' = . ; then \
  613. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  614. exit 1 ; \
  615. fi
  616. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  617. || { echo "ERROR: files left in build directory after distclean:" ; \
  618. $(distcleancheck_listfiles) ; \
  619. exit 1; } >&2
  620. check-am: all-am
  621. check: check-recursive
  622. all-am: Makefile config.h
  623. installdirs: installdirs-recursive
  624. installdirs-am:
  625. install: install-recursive
  626. install-exec: install-exec-recursive
  627. install-data: install-data-recursive
  628. uninstall: uninstall-recursive
  629. install-am: all-am
  630. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  631. installcheck: installcheck-recursive
  632. install-strip:
  633. if test -z '$(STRIP)'; then \
  634. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  635. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  636. install; \
  637. else \
  638. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  639. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  640. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  641. fi
  642. mostlyclean-generic:
  643. clean-generic:
  644. distclean-generic:
  645. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  646. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  647. maintainer-clean-generic:
  648. @echo "This command is intended for maintainers to use"
  649. @echo "it deletes files that may require special tools to rebuild."
  650. clean: clean-recursive
  651. clean-am: clean-generic mostlyclean-am
  652. distclean: distclean-recursive
  653. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  654. -rm -f Makefile
  655. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  656. dvi: dvi-recursive
  657. dvi-am:
  658. html: html-recursive
  659. html-am:
  660. info: info-recursive
  661. info-am:
  662. install-data-am:
  663. install-dvi: install-dvi-recursive
  664. install-dvi-am:
  665. install-exec-am:
  666. install-html: install-html-recursive
  667. install-html-am:
  668. install-info: install-info-recursive
  669. install-info-am:
  670. install-man:
  671. install-pdf: install-pdf-recursive
  672. install-pdf-am:
  673. install-ps: install-ps-recursive
  674. install-ps-am:
  675. installcheck-am:
  676. maintainer-clean: maintainer-clean-recursive
  677. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  678. -rm -rf $(top_srcdir)/autom4te.cache
  679. -rm -f Makefile
  680. maintainer-clean-am: distclean-am maintainer-clean-generic
  681. mostlyclean: mostlyclean-recursive
  682. mostlyclean-am: mostlyclean-generic
  683. pdf: pdf-recursive
  684. pdf-am:
  685. ps: ps-recursive
  686. ps-am:
  687. uninstall-am:
  688. .MAKE: $(am__recursive_targets) all install-am install-strip
  689. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  690. am--refresh check check-am clean clean-cscope clean-generic \
  691. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  692. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  693. distcheck distclean distclean-generic distclean-hdr \
  694. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  695. dvi-am html html-am info info-am install install-am \
  696. install-data install-data-am install-dvi install-dvi-am \
  697. install-exec install-exec-am install-html install-html-am \
  698. install-info install-info-am install-man install-pdf \
  699. install-pdf-am install-ps install-ps-am install-strip \
  700. installcheck installcheck-am installdirs installdirs-am \
  701. maintainer-clean maintainer-clean-generic mostlyclean \
  702. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  703. uninstall-am
  704. .PRECIOUS: Makefile
  705. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  706. # Otherwise a system limit (for SysV at least) may be exceeded.
  707. .NOEXPORT: